Name:          toml11
Version:       3.8.1
Release:       1mamba
Summary:       A C++11 (or later) header-only toml parser/encoder depending only on C++ standard library
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ToruNiina/toml11
Source:        https://github.com/ToruNiina/toml11.git/v%{version}/toml11-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
toml11 is a C++11 (or later) header-only toml parser/encoder depending only on C++ standard library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       A C++11 (or later) header-only toml parser/encoder depending only on C++ standard library

%description -n lib%{name}-devel
toml11 is a C++11 (or later) header-only toml parser/encoder depending only on C++ standard library.
This package contains header files for developing applications that use %{name}.

#% debug_package

%prep
%setup -q

%build
%cmake \
   -DCMAKE_CXX_STANDARD=c++11

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/toml.hpp
%dir %{_includedir}/toml
%{_includedir}/toml/*.hpp
%dir %{_libdir}/cmake/toml11
%{_libdir}/cmake/toml11/toml11*.cmake
%doc LICENSE README.md

%changelog
* Sat May 25 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.1-1mamba
- package created using the webbuild interface
